Bug 1707976 - Review Request: libmpeg2 - MPEG-2 decoder
Summary: Review Request: libmpeg2 - MPEG-2 decoder
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1709470 1710796
TreeView+ depends on / blocked
 
Reported: 2019-05-08 20:14 UTC by Yaakov Selkowitz
Modified: 2019-05-29 09:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-18 01:01:55 UTC
Type: Bug
leigh123linux: fedora-review+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
RPM Fusion 5253 0 None None None 2019-05-08 20:17:31 UTC

Description Yaakov Selkowitz 2019-05-08 20:14:27 UTC
Spec URL: https://yselkowitz.fedorapeople.org/libmpeg2.spec
SRPM URL: https://yselkowitz.fedorapeople.org/SRPMS/libmpeg2-0.5.1-18.fc30.src.rpm
Description: MPEG-2 decoder libraries
Fedora Account System Username: yselkowitz

Scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=34729724

MPEG-2 is now permissible: https://lists.fedoraproject.org/archives/list/legal@lists.fedoraproject.org/thread/GDOFPFQKWJF5CRU7BNWNTJ756AIZOMYK/

Upon inclusion, this would become a new dependency of (at least) gstreamer1-plugins-ugly-free.

Comment 1 leigh scott 2019-05-11 13:36:12 UTC
Approved

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* GNU General Public
     License", "do What The Fuck you want to Public License (v2)", "Expat
     License", "GPL (v2 or later) (with incorrect FSF address)", "GNU
     Lesser General Public License (v2 or later)". 62 files have unknown
     license. Detailed output of licensecheck in
     /home/leigh/1707976-libmpeg2/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[?]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 81920 bytes in 13 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[?]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in libmpeg2
[x]: Package functions as described.
[x]: Latest version is packaged.
[?]: Package does not include license text files separate from upstream.
[?]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[?]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Package should not use obsolete m4 macros
     Note: Some obsoleted macros found, see the attachment.
     See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: libmpeg2-0.5.1-18.fc31.x86_64.rpm
          mpeg2dec-0.5.1-18.fc31.x86_64.rpm
          libmpeg2-devel-0.5.1-18.fc31.x86_64.rpm
          libmpeg2-debuginfo-0.5.1-18.fc31.x86_64.rpm
          libmpeg2-debugsource-0.5.1-18.fc31.x86_64.rpm
          libmpeg2-0.5.1-18.fc31.src.rpm
libmpeg2.x86_64: W: spelling-error %description -l en_US mpeg -> MPEG, mpg, meg
libmpeg2.x86_64: E: incorrect-fsf-address /usr/share/licenses/libmpeg2/COPYING
mpeg2dec.x86_64: W: no-manual-page-for-binary corrupt_mpeg2
libmpeg2-devel.x86_64: E: incorrect-fsf-address /usr/include/mpeg2dec/mpeg2.h
libmpeg2-devel.x86_64: E: incorrect-fsf-address /usr/include/mpeg2dec/mpeg2_internal.h
libmpeg2-devel.x86_64: E: incorrect-fsf-address /usr/include/mpeg2dec/mpeg2convert.h
libmpeg2-devel.x86_64: E: incorrect-fsf-address /usr/share/doc/libmpeg2-devel/sample1.c
libmpeg2-devel.x86_64: E: incorrect-fsf-address /usr/share/doc/libmpeg2-devel/sample2.c
libmpeg2-devel.x86_64: E: incorrect-fsf-address /usr/share/doc/libmpeg2-devel/sample4.c
libmpeg2-devel.x86_64: E: incorrect-fsf-address /usr/share/doc/libmpeg2-devel/sample6.c
libmpeg2.src: W: spelling-error %description -l en_US mpeg -> MPEG, mpg, meg
6 packages and 0 specfiles checked; 8 errors, 3 warnings.




Rpmlint (debuginfo)
-------------------
Checking: libmpeg2-debuginfo-0.5.1-18.fc31.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_GB.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_GB.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_GB.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
sh: /usr/bin/python: No such file or directory
/usr/share/rpmlint/Pkg.py:168: UnicodeWarning: decode() called on unicode string, see https://bugzilla.redhat.com/show_bug.cgi?id=1693751
  s.decode('UTF-8')
libmpeg2-devel.x86_64: W: invalid-url URL: http://libmpeg2.sourceforge.net <urlopen error [Errno -2] Name or service not known>
libmpeg2-devel.x86_64: E: incorrect-fsf-address /usr/include/mpeg2dec/mpeg2.h
libmpeg2-devel.x86_64: E: incorrect-fsf-address /usr/include/mpeg2dec/mpeg2_internal.h
libmpeg2-devel.x86_64: E: incorrect-fsf-address /usr/include/mpeg2dec/mpeg2convert.h
libmpeg2-devel.x86_64: E: incorrect-fsf-address /usr/share/doc/libmpeg2-devel/sample1.c
libmpeg2-devel.x86_64: E: incorrect-fsf-address /usr/share/doc/libmpeg2-devel/sample2.c
libmpeg2-devel.x86_64: E: incorrect-fsf-address /usr/share/doc/libmpeg2-devel/sample4.c
libmpeg2-devel.x86_64: E: incorrect-fsf-address /usr/share/doc/libmpeg2-devel/sample6.c
/usr/share/rpmlint/Pkg.py:168: UnicodeWarning: decode() called on unicode string, see https://bugzilla.redhat.com/show_bug.cgi?id=1693751
  s.decode('UTF-8')
mpeg2dec.x86_64: W: invalid-url URL: http://libmpeg2.sourceforge.net <urlopen error [Errno -2] Name or service not known>
/usr/share/rpmlint/Pkg.py:168: UnicodeWarning: decode() called on unicode string, see https://bugzilla.redhat.com/show_bug.cgi?id=1693751
  s.decode('UTF-8')
mpeg2dec.x86_64: W: no-manual-page-for-binary corrupt_mpeg2
/usr/share/rpmlint/Pkg.py:168: UnicodeWarning: decode() called on unicode string, see https://bugzilla.redhat.com/show_bug.cgi?id=1693751
  s.decode('UTF-8')
libmpeg2-debugsource.x86_64: W: invalid-url URL: http://libmpeg2.sourceforge.net <urlopen error [Errno -2] Name or service not known>
libmpeg2-debuginfo.x86_64: W: invalid-url URL: http://libmpeg2.sourceforge.net <urlopen error [Errno -2] Name or service not known>
/usr/share/rpmlint/Pkg.py:168: UnicodeWarning: decode() called on unicode string, see https://bugzilla.redhat.com/show_bug.cgi?id=1693751
  s.decode('UTF-8')
libmpeg2.x86_64: W: spelling-error %description -l en_US mpeg -> MPEG, mpg, meg
libmpeg2.x86_64: W: invalid-url URL: http://libmpeg2.sourceforge.net <urlopen error [Errno -2] Name or service not known>
/usr/share/rpmlint/Pkg.py:168: UnicodeWarning: decode() called on unicode string, see https://bugzilla.redhat.com/show_bug.cgi?id=1693751
  s.decode('UTF-8')
libmpeg2.x86_64: E: incorrect-fsf-address /usr/share/licenses/libmpeg2/COPYING
5 packages and 0 specfiles checked; 8 errors, 7 warnings.



Source checksums
----------------
http://libmpeg2.sourceforge.net/files/libmpeg2-0.5.1.tar.gz :
  CHECKSUM(SHA256) this package     : dee22e893cb5fc2b2b6ebd60b88478ab8556cb3b93f9a0d7ce8f3b61851871d4
  CHECKSUM(SHA256) upstream package : dee22e893cb5fc2b2b6ebd60b88478ab8556cb3b93f9a0d7ce8f3b61851871d4


Requires
--------
libmpeg2 (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    rtld(GNU_HASH)

mpeg2dec (rpmlib, GLIBC filtered):
    libSDL-1.2.so.0()(64bit)
    libX11.so.6()(64bit)
    libXext.so.6()(64bit)
    libXv.so.1()(64bit)
    libc.so.6()(64bit)
    libmpeg2(x86-64)
    libmpeg2.so.0()(64bit)
    libmpeg2convert.so.0()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)

libmpeg2-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libmpeg2(x86-64)
    libmpeg2.so.0()(64bit)
    libmpeg2convert.so.0()(64bit)

libmpeg2-debuginfo (rpmlib, GLIBC filtered):

libmpeg2-debugsource (rpmlib, GLIBC filtered):



Provides
--------
libmpeg2:
    libmpeg2
    libmpeg2(x86-64)
    libmpeg2.so.0()(64bit)
    libmpeg2convert.so.0()(64bit)

mpeg2dec:
    mpeg2dec
    mpeg2dec(x86-64)

libmpeg2-devel:
    libmpeg2-devel
    libmpeg2-devel(x86-64)
    pkgconfig(libmpeg2)
    pkgconfig(libmpeg2convert)

libmpeg2-debuginfo:
    debuginfo(build-id)
    libmpeg2-debuginfo
    libmpeg2-debuginfo(x86-64)

libmpeg2-debugsource:
    libmpeg2-debugsource
    libmpeg2-debugsource(x86-64)



AutoTools: Obsoleted m4s found
------------------------------
  AC_PROG_LIBTOOL found in: libmpeg2-0.5.1/configure.ac:130


Generated by fedora-review 0.7.2 (65d36bb) last change: 2019-04-09
Command line :/usr/bin/fedora-review -b 1707976
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, C/C++, Generic
Disabled plugins: Haskell, Ocaml, fonts, R, Java, SugarActivity, Python, PHP, Perl
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 2 Igor Raits 2019-05-13 05:51:15 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/libmpeg2

Comment 3 Fedora Update System 2019-05-13 16:18:11 UTC
libmpeg2-0.5.1-18.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-129949e977

Comment 4 Fedora Update System 2019-05-13 16:18:33 UTC
libmpeg2-0.5.1-18.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-cbd0839ab0

Comment 5 Fedora Update System 2019-05-14 01:54:03 UTC
libmpeg2-0.5.1-18.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-129949e977

Comment 6 Fedora Update System 2019-05-14 04:26:17 UTC
libmpeg2-0.5.1-18.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-cbd0839ab0

Comment 7 Fedora Update System 2019-05-16 15:38:25 UTC
gstreamer1-plugins-ugly-free-1.14.4-2.fc29 libmpeg2-0.5.1-18.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-cbd0839ab0

Comment 8 Fedora Update System 2019-05-16 15:46:36 UTC
libmpeg2-0.5.1-18.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-129949e977

Comment 9 Fedora Update System 2019-05-17 03:48:23 UTC
gstreamer1-plugins-ugly-free-1.14.4-2.fc29, libmpeg2-0.5.1-18.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-cbd0839ab0

Comment 10 Fedora Update System 2019-05-17 15:37:31 UTC
libmpeg2-0.5.1-18.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-129949e977

Comment 11 Fedora Update System 2019-05-18 01:01:55 UTC
libmpeg2-0.5.1-18.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-05-24 21:49:09 UTC
gstreamer1-plugins-ugly-free-1.14.4-2.fc29, libmpeg2-0.5.1-18.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.